// Read_NTAGDlg.h : header file
//

#if !defined(AFX_READ_NTAGDLG_H__AF32034A_ED5F_49F4_A9BA_178BBD61CD02__INCLUDED_)
#define AFX_READ_NTAGDLG_H__AF32034A_ED5F_49F4_A9BA_178BBD61CD02__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRead_NTAGDlg dialog

class CRead_NTAGDlg : public CDialog
{
// Construction
public:
	CRead_NTAGDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRead_NTAGDlg)
	enum { IDD = IDD_READ_NTAG_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRead_NTAGDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRead_NTAGDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnLink();
	afx_msg void OnBtnRead();
	afx_msg void OnBtnReadS();
	afx_msg void OnBtnWriteS();
	afx_msg void OnBtnAuthen();
	afx_msg void OnBtnFindcard();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CButton*	m_btn_link;
	CComboBox*	m_combo_port;
	CComboBox*	m_combo_baud;
	CEdit*		m_edt_data;
	CStatic*	m_stc_msg;
	CEdit*		m_edit_blkTest_blk;
	CEdit*		m_edit_blkTest_blkData;
	CEdit*		m_edit_blkTest_pwd;
	int	GetCurrentPort();
	int GetCurrentBaud();
	void RemapCtrl();
	BOOL CheckPortOpenStatus();
	void AddItemData(CString str);
	void ShowMsg(CString str);
	BOOL FindCard();
	int ReadTag();
	void ClearData();
	BOOL GetBlockTestParam(int* pBlk, unsigned char* pData);
	BOOL GetTagPwdParam(unsigned char* pData);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_READ_NTAGDLG_H__AF32034A_ED5F_49F4_A9BA_178BBD61CD02__INCLUDED_)
